Summary: Linux/390 specific utilities.
Name: s390utils
Version: 20011212
Release: 3
Copyright: GPL
Group: System Environment/Base
Source: s390-tools.tgz
Source1: http://www.enjoy.ne.jp/~gm/program/parsecfg/arc/parsecfg-3.6.7.tar.gz
Source2: oco-convert
Source3: oco-setkver
Source4: http://penguinvm.princeton.edu/programs/cpint-1.1.2.tar.gz
Source5: s390.sh
Source6: s390.csh
Patch1: s390-tools-1.patch
Patch2: s390utils-su.patch
Patch3: s390-tools-dasdfmt-status.patch
Patch4: s390-tools-2.patch
Patch5: s390-tools-3.patch
Patch6: s390-tools-dasdfmt-percentage1.patch
Patch7: s390-tools-fdasd-raid.patch
Patch8: s390-tools-4.patch
Patch9: s390-tools-5.patch
BuildRoot: /var/tmp/%{name}-root
%define _sbindir /sbin

%description
This package contains utilities related to Linux for S/390.
Currently, there are provided the following programs:

  - dasdfmt, which is used to low-level format eckd-dasds with
    either the classic linux disk layout or the new z/OS
    compatible disk layout.
  - fdasd, which is used to create or modify partitions on
    eckd-dasds formatted with the z/OS compatible disk layout.
  - zipl, which is used to make either dasds or tapes bootable
    for system IPL or system dump.
  - zdump, which is used to retrieve system dumps from either
    tapes or dasds.
  - hcp, to issue cp commands to the VM from within Linux.
    (You need to run cpint_load first to load the module and
     create the devicenodes).

%prep
%setup -q -n s390-tools
%patch1 -p1 -b .ibm1
%patch2 -p1 -b .su
#%patch3 -p1 -b .stat
%patch4 -p1 -b .ibm2
%patch5 -p1 -b .ibm3
%patch6 -p1 -b .kh
%patch7 -p1 -b .raid
%patch8 -p1 -b .ibm4
%patch9 -p1 -b .ibm4
tar xzf %{SOURCE1}
tar xzf %{SOURCE4}
mv parsecfg-3.6.7/src/intl.h zipl/src/
mv parsecfg-3.6.7/src/parsecfg.c zipl/src/
mv parsecfg-3.6.7/src/parsecfg.h zipl/include

%build
make
cd cpint-1.1.2
make hcp mongen monstat

%install
mkdir -p $RPM_BUILD_ROOT/{lib,sbin,boot,%{_mandir}/man8,usr/sbin,etc/profile.d}
install -c zipl/src/libparsecfg.so $RPM_BUILD_ROOT/lib/libparsecfg.so
install -m 644 zipl/boot/{fba0,fba2,eckd0,eckd1a,eckd1b,eckd2,eckd2dump,diag0,diag2,tapedump} $RPM_BUILD_ROOT/boot
install -m 700 zipl/src/zipl $RPM_BUILD_ROOT/sbin
install -m 700 zdump/zgetdump $RPM_BUILD_ROOT/sbin
install -m 644 zdump/zgetdump.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install fdasd/libvtoc.so $RPM_BUILD_ROOT/lib
install -m 700 dasdfmt/dasdfmt $RPM_BUILD_ROOT/sbin
install -m 644 dasdfmt/dasdfmt.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 700 dasdview/dasdview $RPM_BUILD_ROOT/sbin
install -m 644 dasdview/dasdview.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 700 fdasd/fdasd $RPM_BUILD_ROOT/sbin
install -m 644 fdasd/fdasd.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/sbin
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/sbin
ln -fs fdasd $RPM_BUILD_ROOT/sbin/fdisk
cd cpint-1.1.2
install -m 755 hcp $RPM_BUILD_ROOT/usr/sbin
install -m 755 mongen $RPM_BUILD_ROOT/usr/sbin
install -m 755 monstat $RPM_BUILD_ROOT/usr/sbin
install -m 755 cpint_load $RPM_BUILD_ROOT/usr/sbin
install -m 755 cpint_unload $RPM_BUILD_ROOT/usr/sbin
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/etc/profile.d
install -m 755 %{SOURCE6} $RPM_BUILD_ROOT/etc/profile.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/boot/*
/sbin/*
/usr/sbin/*
/lib/*
%attr(755,root,root) /etc/profile.d/*
%{_mandir}/man8/*

%changelog
* Fri Mar 01 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390-tools-5.patch from IBM

* Fri Feb 15 2002 Karsten Hopp <karsten@redhat.de>
- fix typo in s390.sh

* Tue Jan 29 2002 Karsten Hopp <karsten@redhat.de>
- add IBM 4 patch
- add profile.d scripts to set correct TERM in 3270 console

* Thu Dec 18 2001 Karsten Hopp <karsten@redhat.de>
- add cpint programs

* Mon Nov 26 2001 Harald Hoyer <harald@redhat.de> 20011012-6
- fix for #56720

* Thu Nov 15 2001 Karsten Hopp <karsten@redhat.de>
- add fdisk - > fdasd symlink

* Thu Nov 12 2001 Karsten Hopp <karsten@redhat.de>
- add IBM patch (11/09/2001) and redo percentage patch

* Thu Nov 08 2001 Karsten Hopp <karsten@redhat.de>
- re-enable DASD if dasdfmt is interrupted with Ctrl-C

* Mon Nov 05 2001 Harald Hoyer <harald@redhat.de> 20011012-4
- added s390-tools-dasdfmt-percentage.patch

* Mon Oct 22 2001 Karsten Hopp <karsten@redhat.de>
- remove postinstall script

* Mon Oct 15 2001 Karsten Hopp <karsten@redhat.de>
- add IBM's s390-utils-2.patch
- add console to securetty

* Mon Oct 01 2001 Karsten Hopp <karsten@redhat.de>
- added oco-setkver and oco-convert

* Fri Aug 31 2001 Karsten Hopp <karsten@redhat.de>
- don't write error message in silent mode

* Thu Aug 23 2001 Harald Hoyer <harald@redhat.de>
- added s390-tools-dasdfmt-status.patch

* Tue Aug 21 2001 Karsten Hopp <karsten@redhat.de>
- update to the version from Aug 20

* Tue Aug 14 2001 Karsten Hopp <karsten@redhat.de>
- fix permissions

* Mon Aug 13 2001 Karsten Hopp <karsten@redhat.de>
- rename package to s390utils. s390-tools is no longer needed.

* Thu Aug 02 2001 Karsten Hopp <karsten@redhat.de>
- initial build


